package Echiquier;

import Echiquier.Piece.*;

public class IHM {
    private Echiquier echiquier;
    private Case[][] table;
    public IHM(Echiquier echiquier){
        this.echiquier = echiquier;
        this.table = this.echiquier.getTable();
        echiquierInit();
    }

    private void echiquierInit(){
        for(int tmpcol=0; tmpcol < Echiquier.MAXCOL; tmpcol++) {
            System.out.print("  " + tmpcol);
        }
        System.out.println();

        for(int lig=0; lig < Echiquier.MAXLIG; lig++){
            System.out.print("  ");
            for(int tmpcol=0; tmpcol < Echiquier.MAXCOL; tmpcol++) {
                System.out.print("---");
            }
            System.out.println();
            System.out.print(lig);
            for(int col=0; col < Echiquier.MAXCOL; col++){
                System.out.print("|");
                if(table[lig][col].estEuPiece()){
                    Piece piece = table[lig][col].getPiece();
                    if(piece.getClass() == Pion.class ){
                        System.out.print("P");
                    }
                    if(piece.getClass() == Cavalier.class){
                        System.out.print("C");
                    }
                    if(piece.getClass() == Dame.class){
                        System.out.print("D");
                    }
                    if(piece.getClass() == Fou.class){
                        System.out.print("F");
                    }
                    if(piece.getClass() == Roi.class){
                        System.out.print("R");
                    }
                    if(piece.getClass() == Tour.class){
                        System.out.print("T");
                    }

                    if(piece.getColorJoueur() == ColorJoueur.noir){
                        System.out.print("N");
                    }
                    else {
                        System.out.print("B");
                    }
                }
                else{
                    System.out.print("  ");
                }
            }
            System.out.println("|");
        }

    }
}
